<!-- $Id: category_move.htm 5294 2007-02-07 03:13:12Z paulgao $ -->
{include file="pageheader.htm"}
<div class="main-div">
<table width="100%">
  <tr>
    <td><img src="images/notice.gif" width="16" height="16" border="0">{$lang.cat_move_desc}
     <ul>
       <li>{$lang.cat_move_notic}</li>
     </ul>
    </td>
  </tr>
</table>
</div>

<div class="form-div">
<form action="category.php" method="post" name="theForm" enctype="multipart/form-data">
      <strong>{$lang.source_cat}</strong>&nbsp;&nbsp;
      <select name="cat_id" onclick="catChanged()">
       <option value="0">{$lang.select_please}</option>
       {$cat_select}
      </select>&nbsp;&nbsp;
      <strong>{$lang.target_cat}</strong>
      <select name="target_cat_id" onclick="catChanged()">
       <option value="0">{$lang.select_please}</option>
       {$cat_select}
      </select>&nbsp;&nbsp;&nbsp;&nbsp;
      <input type="submit" name="move_cat" value="{$lang.start_move_cat}" class="button">
      <input type="reset" value="{$lang.button_reset}" class="button" />
      <input type="hidden" name="act" value="{$form_act}" />
</form>
</div>
{insert_scripts files="../js/utils.js,validator.js"}
{literal}
<script language="JavaScript">
<!--
onload = function()
{
    // 开始检查订单
    startCheckOrder();
}

/*
 * 选取分类时判断选定的分类是不是底层分类
 */
function catChanged()
{
    var obj = document.forms['theForm'].elements['cat_id'];
    if (obj.selectedIndex > 0 && obj.options[obj.selectedIndex].className != "leafCat")
    {
      alert(not_leafcat);
      obj.selectedIndex = 0;

      return false;
    }
    var tar_obj = document.forms['theForm'].elements['target_cat_id'];
    if (tar_obj.selectedIndex > 0 && tar_obj.options[tar_obj.selectedIndex].className != "leafCat")
    {
      alert(not_leafcat);
      tar_obj.selectedIndex = 0;
      return false;
    }
    return true;
}

//-->
</script>
{/literal}
{include file="pagefooter.htm"}